Subject: Re: I-D ACTION:draft-ietf-msgtrk-trkstat-01.txt

From: Eric Allman <[email-masked]>
Date: Mon, 18 Jun 2001 20:18:36 -0700

Chris, sorry for the long delay in replying -- I set this aside for
a while, and am just getting back to it.

The problem with using "expanded" for all cases where there are
multiple recipients is that the MTA doesn't necessarily know.  For
example, if the MTA can deliver to a program on behalf of a user,
that program might explode a mailing list.  I believe you see this
in Postfix, and for that matter some message stores (including, I
believe, Exchange) have the property that the MTA delivers to a
real mailbox which is then scanned later by a background process
that does the exploding.

I think this is the same reason that the wording in 1894 is
fairly ambiguous.

eric

============= In Reply To: ===========================================
: From:  Chris Newman <[email-masked]>
: Subject:  Re: I-D ACTION:draft-ietf-msgtrk-trkstat-01.txt
: Date:  Thu, 05 Apr 2001 17:57:14 -0700

: --On Thursday, April 5, 2001 17:21 -0700 Eric Allman 
: <[email-masked]> wrote:
: > This wording was taken nearly as is from 1894, and the intent was to
: > keep things fairly parallel to that spec.  I'm open to suggestions.
: > Anyone?
: 
: My suggestion is to use "expanded" for _all_ cases where there are multiple 
: recipients.  If a user sends to a list and gets a "delivered" notification, 
: their assumption will be that the message has been delivered to all list 
: recipients.  So any use of "delivered" with a multiple recipients is likely 
: to result in a "user astonishment" scenario.  Since those are bad, stick to 
: "expanded".
: 
: The only caveat would be if a site has a local alias sent to multiple 
: recipients, and wishes to conceal the fact the address is a list.  Then 
: "delivered" would be OK.
: 
: > Already dealt with, as indicated in my previous message.  Do you still
: > think a cross-reference is warranted?
: 
: A non-normative cross-reference would be nice.  When I'm considering only 
: the security implications of a protocol, I look only at the security 
: considerations and anything it references.  But the text you added is good 
: enough.
: 
: 		- Chris
:

---

From: Chris Newman <[email-masked]>
Date: Tue, 19 Jun 2001 10:25:45 -0700

> real mailbox which is then scanned later by a background process

I'm all for accepting reality.  So I'd say that both "delivered" and 
"expanded" are valid for any multi-recipient scenario, although the latter 
should be preferred since it makes it clearer to the notification recipient 
what happened.  It's fine to have overlapping meanings like this, but it 
needs to be explicit to avoid confusion.

		- Chris

---

From: Eric Allman <[email-masked]>
Date: Wed, 20 Jun 2001 19:57:30 -0700

OK, I've added the following paragraph after the list of possible actions:

There may be some confusion between when to use
.q expanded  
versus
.q delivered .
Whenever possible,
.q expanded
should be used when the MTA knows that the message will be sent to
multiple addresses.
However, in some cases the delivery occurs to a program
which, unknown to the MTA, causes mailing list expansion;
in the extreme case, the delivery may be to a real mailbox
that has the side effect of list expansion.
If the MTA cannot ensure that this delivery will cause list expansion,
it should set the action to
.q delivered .

Does this adequately clarify things?

eric

============= In Reply To: ===========================================
: From:  Chris Newman <[email-masked]>
: Subject:  Re: I-D ACTION:draft-ietf-msgtrk-trkstat-01.txt
: Date:  Tue, 19 Jun 2001 10:25:45 -0700

: --On Monday, June 18, 2001 20:18 -0700 Eric Allman 
: <[email-masked]> wrote:
: > The problem with using "expanded" for all cases where there are
: > multiple recipients is that the MTA doesn't necessarily know.  For
: > example, if the MTA can deliver to a program on behalf of a user,
: > that program might explode a mailing list.  I believe you see this
: > in Postfix, and for that matter some message stores (including, I
: > believe, Exchange) have the property that the MTA delivers to a
: > real mailbox which is then scanned later by a background process
: > that does the exploding.
: 
: I'm all for accepting reality.  So I'd say that both "delivered" and 
: "expanded" are valid for any multi-recipient scenario, although the latter 
: should be preferred since it makes it clearer to the notification recipient 
: what happened.  It's fine to have overlapping meanings like this, but it 
: needs to be explicit to avoid confusion.
: 
: 		- Chris
:

---

From: Chris Newman <[email-masked]>
Date: Thu, 21 Jun 2001 11:59:19 -0700

> Does this adequately clarify things?

Sounds good to me.

		- Chris